ros-noetic-visualization-msgs (1.13.1-1focal) focal; urgency=high

  * Update package maintainers (#168 <https://github.com/ros/common_msgs/issues/168>)
  * Contributors: Michel Hidalgo

 -- Michel Hidalgo <michel@ekumenlabs.com>  Mon, 11 Jan 2021 00:00:00 -0000

ros-noetic-visualization-msgs (1.13.0-1focal) focal; urgency=high

  * Bump CMake version to avoid CMP0048 warning (#158 <https://github.com/ros/common_msgs/issues/158>)
  * Contributors: Shane Loretz

 -- Tully Foote <tfoote@osrfoundation.org>  Thu, 21 May 2020 00:00:00 -0000

ros-noetic-visualization-msgs (1.12.7-1focal) focal; urgency=high



 -- Tully Foote <tfoote@osrfoundation.org>  Tue, 06 Nov 2018 00:00:00 -0000

ros-noetic-visualization-msgs (1.12.6-1focal) focal; urgency=high



 -- Tully Foote <tfoote@osrfoundation.org>  Thu, 03 May 2018 00:00:00 -0000

ros-noetic-visualization-msgs (1.12.5-1focal) focal; urgency=high

  * Fix spelling mistakes
  * Contributors: trorornmn

 -- Tully Foote <tfoote@osrfoundation.org>  Fri, 30 Sep 2016 00:00:00 -0000

ros-noetic-visualization-msgs (1.12.4-1focal) focal; urgency=high



 -- Tully Foote <tfoote@osrfoundation.org>  Mon, 22 Feb 2016 00:00:00 -0000

ros-noetic-visualization-msgs (1.12.3-1focal) focal; urgency=high



 -- Tully Foote <tfoote@osrfoundation.org>  Mon, 20 Apr 2015 00:00:00 -0000

ros-noetic-visualization-msgs (1.12.2-1focal) focal; urgency=high



 -- Tully Foote <tfoote@osrfoundation.org>  Sat, 21 Mar 2015 00:00:00 -0000

ros-noetic-visualization-msgs (1.12.1-1focal) focal; urgency=high



 -- Tully Foote <tfoote@osrfoundation.org>  Tue, 17 Mar 2015 00:00:00 -0000

ros-noetic-visualization-msgs (1.12.0-1focal) focal; urgency=high

  * Enable DELETEALL=3 definition for marker action. Fixes #39 <https://github.com/ros/common_msgs/issues/39>
  * Contributors: Tully Foote

 -- Tully Foote <tfoote@osrfoundation.org>  Mon, 29 Dec 2014 00:00:00 -0000

ros-noetic-visualization-msgs (1.11.6-1focal) focal; urgency=high



 -- Tully Foote <tfoote@osrfoundation.org>  Tue, 04 Nov 2014 00:00:00 -0000

ros-noetic-visualization-msgs (1.11.5-1focal) focal; urgency=high



 -- Tully Foote <tfoote@osrfoundation.org>  Mon, 27 Oct 2014 00:00:00 -0000

ros-noetic-visualization-msgs (1.11.4-1focal) focal; urgency=high

  * Added comment to document new Rviz Marker action
  * Contributors: Dave Coleman

 -- Tully Foote <tfoote@osrfoundation.org>  Thu, 19 Jun 2014 00:00:00 -0000

ros-noetic-visualization-msgs (1.11.3-1focal) focal; urgency=high

  * Export architecture_independent flag in package.xml
  * Contributors: Scott K Logan

 -- Tully Foote <tfoote@osrfoundation.org>  Wed, 07 May 2014 00:00:00 -0000

ros-noetic-visualization-msgs (1.11.2-1focal) focal; urgency=high



 -- Tully Foote <tfoote@osrfoundation.org>  Thu, 24 Apr 2014 00:00:00 -0000

ros-noetic-visualization-msgs (1.11.1-1focal) focal; urgency=high



 -- Tully Foote <tfoote@osrfoundation.org>  Wed, 16 Apr 2014 00:00:00 -0000

ros-noetic-visualization-msgs (1.11.0-1focal) focal; urgency=high



 -- Tully Foote <tfoote@osrfoundation.org>  Tue, 04 Mar 2014 00:00:00 -0000

ros-noetic-visualization-msgs (1.10.6-1focal) focal; urgency=high



 -- Tully Foote <tfoote@osrfoundation.org>  Thu, 27 Feb 2014 00:00:00 -0000

ros-noetic-visualization-msgs (1.10.5-1focal) focal; urgency=high



 -- Tully Foote <tfoote@osrfoundation.org>  Tue, 25 Feb 2014 00:00:00 -0000

ros-noetic-visualization-msgs (1.10.4-1focal) focal; urgency=high



 -- Tully Foote <tfoote@osrfoundation.org>  Tue, 18 Feb 2014 00:00:00 -0000

ros-noetic-visualization-msgs (1.10.3-1focal) focal; urgency=high



 -- Tully Foote <tfoote@osrfoundation.org>  Tue, 07 Jan 2014 00:00:00 -0000

ros-noetic-visualization-msgs (1.10.2-1focal) focal; urgency=high



 -- Tully Foote <tfoote@osrfoundation.org>  Mon, 19 Aug 2013 00:00:00 -0000

ros-noetic-visualization-msgs (1.10.1-1focal) focal; urgency=high



 -- Tully Foote <tfoote@osrfoundation.org>  Fri, 16 Aug 2013 00:00:00 -0000

ros-noetic-visualization-msgs (1.10.0-1focal) focal; urgency=high



 -- Tully Foote <tfoote@osrfoundation.org>  Sat, 13 Jul 2013 00:00:00 -0000

ros-noetic-visualization-msgs (1.9.16-1focal) focal; urgency=high

  * change comment to indicate 3D control modes can now be used with mouse.
  * update email in package.xml

 -- Tully Foote <tfoote@osrfoundation.org>  Tue, 21 May 2013 00:00:00 -0000

ros-noetic-visualization-msgs (1.9.15-1focal) focal; urgency=high



 -- Tully Foote <tfoote@osrfoundation.org>  Fri, 08 Mar 2013 00:00:00 -0000

ros-noetic-visualization-msgs (1.9.14-1focal) focal; urgency=high



 -- Tully Foote <tfoote@osrfoundation.org>  Sat, 19 Jan 2013 00:00:00 -0000

ros-noetic-visualization-msgs (1.9.13-1focal) focal; urgency=high



 -- Tully Foote <tfoote@osrfoundation.org>  Sun, 13 Jan 2013 00:00:00 -0000

ros-noetic-visualization-msgs (1.9.12-1focal) focal; urgency=high



 -- Tully Foote <tfoote@osrfoundation.org>  Wed, 02 Jan 2013 00:00:00 -0000

ros-noetic-visualization-msgs (1.9.11-1focal) focal; urgency=high

  * modified dep type of catkin

 -- Tully Foote <tfoote@osrfoundation.org>  Mon, 17 Dec 2012 00:00:00 -0000

ros-noetic-visualization-msgs (1.9.10-1focal) focal; urgency=high

  * add missing downstream depend
  * switched from langs to message_* packages

 -- Tully Foote <tfoote@osrfoundation.org>  Thu, 13 Dec 2012 00:00:00 -0000

ros-noetic-visualization-msgs (1.9.9-1focal) focal; urgency=high



 -- Tully Foote <tfoote@osrfoundation.org>  Thu, 22 Nov 2012 00:00:00 -0000

ros-noetic-visualization-msgs (1.9.8-1focal) focal; urgency=high



 -- Tully Foote <tfoote@osrfoundation.org>  Wed, 14 Nov 2012 00:00:00 -0000

ros-noetic-visualization-msgs (1.9.7-1focal) focal; urgency=high

  * fix catkin function order

 -- Tully Foote <tfoote@osrfoundation.org>  Tue, 30 Oct 2012 00:00:00 -0000

ros-noetic-visualization-msgs (1.9.6-1focal) focal; urgency=high

  * Adds 3D control modes to interactive marker msgs
  * updated cmake min version to 2.8.3, use cmake_parse_arguments instead of custom macro

 -- Tully Foote <tfoote@osrfoundation.org>  Thu, 18 Oct 2012 00:00:00 -0000

ros-noetic-visualization-msgs (1.9.5-1focal) focal; urgency=high

  * fixed missing find genmsg

 -- Tully Foote <tfoote@osrfoundation.org>  Fri, 28 Sep 2012 00:00:00 -0000

ros-noetic-visualization-msgs (1.9.4-1focal) focal; urgency=high



 -- Tully Foote <tfoote@osrfoundation.org>  Thu, 27 Sep 2012 18:06:00 -0000

ros-noetic-visualization-msgs (1.9.3-1focal) focal; urgency=high

  * cleanup
  * updated to latest catkin
  * fixed dependencies and more
  * updated to latest catkin: created package.xmls, updated CmakeLists.txt

 -- Tully Foote <tfoote@osrfoundation.org>  Thu, 27 Sep 2012 17:39:00 -0000

ros-noetic-visualization-msgs (1.9.2-1focal) focal; urgency=high

  * updated pkg-config in manifest.xml

 -- Tully Foote <tfoote@osrfoundation.org>  Wed, 05 Sep 2012 00:00:00 -0000

ros-noetic-visualization-msgs (1.9.1-1focal) focal; urgency=high

  * use install destination variables, removed manual installation of manifests

 -- Tully Foote <tfoote@osrfoundation.org>  Tue, 04 Sep 2012 00:00:00 -0000

ros-noetic-visualization-msgs (1.9.0-1focal) focal; urgency=high



 -- Tully Foote <tfoote@osrfoundation.org>  Wed, 29 Aug 2012 00:00:00 -0000

ros-noetic-visualization-msgs (1.8.13-1focal) focal; urgency=high



 -- Tully Foote <tfoote@osrfoundation.org>  Thu, 26 Jul 2012 18:34:15 +0000

ros-noetic-visualization-msgs (1.8.8-1focal) focal; urgency=high

  * removed obsolete catkin tag from manifest files
  * fixed package dependency for another common message (#3956 <https://github.com/ros/common_msgs/issues/3956>), removed unnecessary package name from another message
  * fixed package dependencies for several common messages (fixed #3956 <https://github.com/ros/common_msgs/issues/3956>)
  * adding manifest exports
  * removed depend, added catkin
  * stripping depend and export tags from common_msgs manifests as msg dependencies are now declared in cmake and stack.yaml.  Also removed bag migration exports
  * common_msgs: removing migration rules as all are over a year old
  * bye bye vestigial MSG_DIRS
  * visualization_msgs: catkin'd
  * adios rosbuild2 in manifest.xml
  * visualization_msgs: added 3D point of mouse event to InteractiveMarkerFeedback; fixed typo in comment in InteractiveMarkerControl.
  * visualization_msgs: moved INIT function of InteractiveMarkerUpdate.msg into its own message: InteractiveMarkerInit.msg, in accordance with bug #5021 <https://github.com/ros/common_msgs/issues/5021>
  * visualization_msgs: updated InteractiveMarker, MenuEntry, and InteractiveMarkerFeedback messages and removed Menu message per API review decision about cleaning up menu specifications
  * visualization_msgs: switched byte fields to uint8 per API review
  * visualization_msgs: clarified comment per API review
  * visualization_msgs: moved header to be first field of InteractiveMarkerFeedback per API review.
  * visualization_msgs: comments clarified per API review.
  * visualization_msgs: changed KEEP_ALIVE constant values in different messages to use the same value.
  * 
    
      * added mouse_down / mouse_up events
    
  * changed layout of Menu messages
  * updated documentation
  * 
    
      * added server_id, client_id; keep-alive and init updates; removed frame_locked option (now: timestamp=0)
    
  * added header to i.m. feedback
  * removed reference_frame again
  * added reference_frame_id to i.m.
  * updated docum., added descripion field to interactive marker, changed tool_tip to description in i.m. control
  * updated feedback ducomentation
  * PING->KEEP_ALIVE
  * added PING feedback type
  * added independent_marker_orientation to msg/InteractiveMarkerControl.msg
  * updated interactive marker messages
  * cleaned up the mess of commit #36835 <https://github.com/ros/common_msgs/issues/36835>
  * rosbuild2 updates
  * renamed InteractiveMarkerArray to InteractiveMarkerUpdate
  * updated msg/InteractiveMarkerFeedback.msg
  * updated interactive marker spec
  * updated documentation, namiing of fields for interactive **
  * removed cpp interface from visualization_msgs again. too much work, too little outcome
  * made a better cpp interface for interactive marker generation
  * added view facing markers spec
  * added more functions to include/visualization_msgs/interactive_marker_tools.h
  * added initial version of interactive marker messages
  * rosbuild2 taking shape
  * removing old exports for msg/cpp and reving to 1.3.7 in preparation for release
  * update rosbagmigration dependency (#4510 <https://github.com/ros/common_msgs/issues/4510>)
  * add visualization_msgs to common_msgs

 -- Tully Foote <tfoote@osrfoundation.org>  Tue, 12 Jun 2012 22:36:00 -0000


